#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint titan_plugin.podspec' to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'titan_plugin'
  s.version          = '0.2.8'
  s.summary          = 'titan sdk flutter plugin'
  s.description      = <<-DESC
titan sdk flutter plugin, support iOS/Android
                       DESC
  s.homepage         = 'http://qiniu.com'
  s.license          = { :file => '../LICENSE' }
  s.author           = { 'Qiniu' => 'baishunlong@qiniu.com' }
  s.source           = { :path => '.'}
  s.source_files = 'Classes/*.{h,m}'
  s.public_header_files = 'Classes/TitanPlugin.h'
  s.dependency 'Flutter'
  s.platform = :ios, '8.0'
  s.vendored_libraries = 'Classes/libtitan.1.5.16.a'
  s.frameworks = 'SystemConfiguration'

  # Flutter.framework does not contain a i386 slice. Only x86_64 simulators are supported.
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'VALID_ARCHS[sdk=iphonesimulator*]' => 'x86_64', 'ENABLE_BITCODE' => 'NO'}

  s.license = { :type => "Private", :text => 'Private'}
end
