import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:titan_plugin/titan_plugin.dart';

void main() {
  const MethodChannel channel = MethodChannel('titan_plugin');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('setToken', () async {
    TitanPlugin.token = 12;
//    expect(await TitanPlugin.setToken(0), '42');
  });
}
